package cn.palmte.work.controller.backend;

import cn.palmte.work.model.ProfitMarginConfig;
import cn.palmte.work.model.ProfitMarginConfigRepository;
import cn.palmte.work.service.ProfitMarginConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import java.util.Map;

@Controller
@RequestMapping("/profitMarginConfig")
public class ProfitMarginConfigController extends BaseController{

    @Autowired
    private ProfitMarginConfigService profitMarginConfigService;

    @Autowired
    private ProfitMarginConfigRepository profitMarginConfigRepository;

    /**
     * 跳转到编辑页面
     */
    @RequestMapping("/edit")
    public String edit(Map<String, Object> model) {
        ProfitMarginConfig profitMarginConfig = profitMarginConfigRepository.findOne(1);
        model.put("profitMarginConfig", profitMarginConfig);
        return "/admin/profit_marfin_config_input";
    }

    @PostMapping(value = "/save")
    public String save(ProfitMarginConfig profitMarginConfig,Map<String, Object> model){
        try {
            profitMarginConfigService.saveOrUpdate(profitMarginConfig);
        } catch (Exception e) {
            model.put("errorMessage", e.getMessage());
            return "/common/error";
        }
        return "redirect:/profitMarginConfig/edit";
    }
}
